﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Hotel_Course_Project
{
    /// <summary>
    /// Логика взаимодействия для ChangePasLogWindow.xaml
    /// </summary>
    public partial class ChangePasLogWindow : Window
    {
        Staff _staff;
        public ChangePasLogWindow(Staff staff)
        {
            DataContext = staff;
            _staff = staff;
            InitializeComponent();
        }

        private void BackBtn_Click(object sender, RoutedEventArgs e)
        {
            PChanger.MainFrame.GoBack();
        }

        private void SaveBtn_Click(object sender, RoutedEventArgs e)
        {
            var user = DataBase.db.Staff.SingleOrDefault(x => x.Login == TBLogin.Text && x.Password == SomeMethods.Hash(TBPassword.Text) && x.Login != _staff.Login);
            if(TBLogin.Text == "" || TBPassword.Text == "")
            {
                MessageBox.Show("Пустые поля");
            }
            else if(user != null)
            {
                MessageBox.Show("Такой логин уже существует");
            }
            else
            {
                DataBase.db.SaveChanges();
            }
        }
    }
}
